from .Utils.core import *

# adds a view manipulation menu
class SnapToMenu(bpy.types.Menu):
    bl_label = "Snap To"
    bl_idname = "VIEW3D_MT_snapto_menu"

    def draw(self, context):
        layout = self.layout
        
        layout.column().menu_contents("VIEW3D_MT_snap")
        
        if get_mode() != 'EDIT':
            layout.row().separator()
            
            layout.row().operator_menu_enum("object.origin_set", "type", text="Set Origin")
        


### ------------ New hotkeys and registration ------------ ###

addon_keymaps = []

classes = (
    SnapToMenu,
    )

def register():
    for cls in classes:
        bpy.utils.register_class(cls)
    
    # create the global menu hotkey
    wm = bpy.context.window_manager
    km = wm.keyconfigs.addon.keymaps.new(name='Object Non-modal')
    kmi = km.keymap_items.new('wm.call_menu', 'S', 'PRESS', shift=True)
    kmi.properties.name = 'VIEW3D_MT_snapto_menu'
    addon_keymaps.append((km, kmi))


def unregister():
    for cls in classes:
        bpy.utils.unregister_class(cls)
    
    # remove keymaps when add-on is deactivated
    for km, kmi in addon_keymaps:
        km.keymap_items.remove(kmi)
    addon_keymaps.clear()
